/**
 * All high-level abstractions
 *
 * @private internal index of `precompilePipeline` (= used for sync) and `preparePipeline` (= used for async)
 */
export declare const HIGH_LEVEL_ABSTRACTIONS: readonly [{
    type: "SYNC";
    $applyToPipelineJson($pipelineJson: import("type-fest/source/writable-deep").WritableObjectDeep<{
        readonly pipelineUrl?: string | undefined;
        readonly sourceFile?: string | undefined;
        readonly title: string;
        readonly bookVersion?: string | undefined;
        readonly description?: string | undefined;
        readonly parameters: import("../_packages/types.index").ParameterJson[];
        readonly defaultModelRequirements?: Partial<import("../types/ModelRequirements").ModelRequirements> | undefined;
        readonly tasks: import("../_packages/types.index").TaskJson[];
        readonly knowledgeSources: (import("../_packages/types.index").KnowledgeSourceJson | import("../_packages/types.index").KnowledgeSourcePreparedJson)[];
        readonly knowledgePieces: import("../_packages/types.index").KnowledgePiecePreparedJson[];
        readonly personas: (import("../_packages/types.index").PersonaJson | import("../_packages/types.index").PersonaPreparedJson)[];
        readonly preparations: import("../_packages/types.index").PreparationJson[];
        readonly sources: readonly {
            type: "BOOK";
            path: string | null;
            content: import("../pipeline/PipelineString").PipelineString;
        }[];
        readonly formfactorName?: "CHATBOT" | "GENERATOR" | "GENERIC" | "EXPERIMENTAL_MATCHER" | "SHEETS" | "TRANSLATOR" | undefined;
    }>): void;
}, {
    type: "SYNC";
    $applyToPipelineJson($pipelineJson: import("type-fest/source/writable-deep").WritableObjectDeep<{
        readonly pipelineUrl?: string | undefined;
        readonly sourceFile?: string | undefined;
        readonly title: string;
        readonly bookVersion?: string | undefined;
        readonly description?: string | undefined;
        readonly parameters: import("../_packages/types.index").ParameterJson[];
        readonly defaultModelRequirements?: Partial<import("../types/ModelRequirements").ModelRequirements> | undefined;
        readonly tasks: import("../_packages/types.index").TaskJson[];
        readonly knowledgeSources: (import("../_packages/types.index").KnowledgeSourceJson | import("../_packages/types.index").KnowledgeSourcePreparedJson)[];
        readonly knowledgePieces: import("../_packages/types.index").KnowledgePiecePreparedJson[];
        readonly personas: (import("../_packages/types.index").PersonaJson | import("../_packages/types.index").PersonaPreparedJson)[];
        readonly preparations: import("../_packages/types.index").PreparationJson[];
        readonly sources: readonly {
            type: "BOOK";
            path: string | null;
            content: import("../pipeline/PipelineString").PipelineString;
        }[];
        readonly formfactorName?: "CHATBOT" | "GENERATOR" | "GENERIC" | "EXPERIMENTAL_MATCHER" | "SHEETS" | "TRANSLATOR" | undefined;
    }>): void;
}];
/**
 * TODO: Test that all sync high-level abstractions are before async high-level abstractions
 * Note: [💞] Ignore a discrepancy between file name and entity name
 */
